// This may look like C code, but it is really -*- C++ -*-
/****************************************************************************
** $Id: fancysslbase.h 2 2006-01-14 14:09:11Z wglas $
**
** Copyright (C) 2003 EV-i Informationstechnologie GmbH
**
** Author: Wolfgang Glas / EV-i
**
** Base functionality for OpenSSL integration.
** 
*****************************************************************************/

#ifndef FANCYSSL_BASE_H
#define FANCYSSL_BASE_H

#include <string>

namespace Fancy {
  namespace SSL {
    class Base
    {
    public:
      Base();

      virtual ~Base();

      static std::string errorMessage();

    protected:
      void registerHandle (void *handle, void (*free_func) (void *));
      void deregisterHandle (void *handle);
    };
  }
}

#endif
